Overview
GET/document/marks/{id}document

Get marks by id

Fetch a record from marks by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

marks

  • idstring
  • blockIdstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • markTypestring
  • startAnchorstring
  • endAnchorstring
  • markDatastring
  • createdAtstring
  • updatedAtstring
  • isDeletedboolean
  • syncVersioninteger
Example
{
  "id": "string",
  "blockId": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "markType": "string",
  "startAnchor": "string",
  "endAnchor": "string",
  "markData": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "isDeleted": true,
  "syncVersion": 0
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/document/marks/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/document/marks/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();